#### D.3.2.17 hessenberg

Procedure from library `linalg.lib` (see linalg_lib).

Usage:
  hessenberg(M); matrix M

Assume:
  M constant square matrix

Return:
  matrix H; Hessenberg form of M

Example:

    LIB "linalg.lib";
    ring R=0,x,dp;
    matrix M[3][3]=3,2,1,0,2,1,0,0,3;
    print(M);
    ==> 3,2,1,
    ==> 0,2,1,
    ==> 0,0,3
    print(hessenberg(M));
    ==> 3,2,1,
    ==> 0,2,1,
    ==> 0,0,3

See also: hessenberg; system.

User manual for Singular version 4.4.1, 2025, generated by texi2html.